18.1 Serena :- "Could not install the security updates" error

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
YoloSnake
Level 1
Level 1
Posts: 9
Joined: Sun Aug 28, 2016 9:30 am

Re: 18.1 Serena :- "Could not install the security updates" error

Post by YoloSnake » Wed May 17, 2017 7:33 pm

I got the same error yesterday and today, had to update through Terminal.

User avatar
Boca
Level 4
Level 4
Posts: 475
Joined: Sun Feb 15, 2015 5:02 am

Re: 18.1 Serena :- "Could not install the security updates" error

Post by Boca » Thu May 18, 2017 12:08 pm

seasonsandcycles wrote:The Update "shield" appears in the notification area but has a red cross through it and an error message " could not refresh the list of updates".
If I click through to the update manager and manually refresh ... all is ok and there are no updates needed.

Rgds, Tony

Hi Tony,
Any luck resolving the update manager? I've been sitting on the same red cross through the error message too, with the following additonal information when I tried to reload the updater
++ Launching mintUpdate
++ Starting refresh
++ Auto-refresh timer is going to sleep for 30 minutes, 0 hours and 0 days
-- Error in checkAPT.py, could not refresh the list of updates
++ MintUpdate is in tray mode, performing auto-refresh
++ Starting refresh
++ Auto-refresh timer is going to sleep for 30 minutes, 0 hours and 0 days
-- Error in checkAPT.py, could not refresh the list of updates
++ Install requested by user
-- Exception occured in the install thread: 'NoneType' object has no attribute 'get_iter_first'
-- Could not install security updates
++ Starting refresh
-- Error in checkAPT.py, could not refresh the list of updates
Hi,
sorry but I have no ideas on moving forward so am manually updating from the terminal.

Rgds, Tony

User avatar
darethehair
Level 4
Level 4
Posts: 234
Joined: Sun Mar 08, 2009 2:22 pm
Location: Morden Manitoba Canada
Contact:

Re: 18.1 Serena :- "Could not install the security updates" error

Post by darethehair » Tue May 30, 2017 12:50 pm

Same problem for me, on LMDE. What is even stranger to me is that I have multiple LMDE machine installs, and this behavior is only (so far) occurring on one machine. Also strange (for example) is that the update manager is telling me that Firefox '53.0.3~linuxmint1+betsy' wants to be installed -- except that is it *already* installed at that version.
There is nothing more dangerous than a bored cat.

YoloSnake
Level 1
Level 1
Posts: 9
Joined: Sun Aug 28, 2016 9:30 am

Re: 18.1 Serena :- "Could not install the security updates" error

Post by YoloSnake » Tue May 30, 2017 12:57 pm

Fixed on my system

User avatar
Boca
Level 4
Level 4
Posts: 475
Joined: Sun Feb 15, 2015 5:02 am

Re: 18.1 Serena :- "Could not install the security updates" error

Post by Boca » Tue May 30, 2017 3:37 pm

YoloSnake wrote:Fixed on my system
Hi, what did you do to fix the issue?

Rgds, Tony

YoloSnake
Level 1
Level 1
Posts: 9
Joined: Sun Aug 28, 2016 9:30 am

Re: 18.1 Serena :- "Could not install the security updates" error

Post by YoloSnake » Tue May 30, 2017 3:51 pm

Boca wrote: Hi, what did you do to fix the issue?

Rgds, Tony
No idea, I had an update for AutomaticSecurityUpdates that I had to install via the Terminal.
Then I just turned on my computer the next day and it was working.
I'm not sure if the update is what fixed the issue, cause it still wasn't working before the next day, so maybe a simple restart did it lol.

canove
Level 1
Level 1
Posts: 3
Joined: Wed Mar 29, 2017 7:01 pm

Re: 18.1 Serena :- "Could not install the security updates" error

Post by canove » Fri Jun 23, 2017 8:39 am

Same problem here. Mint 18.1 MATE

Any ideas?

User avatar
darethehair
Level 4
Level 4
Posts: 234
Joined: Sun Mar 08, 2009 2:22 pm
Location: Morden Manitoba Canada
Contact:

Re: 18.1 Serena :- "Could not install the security updates" error

Post by darethehair » Fri Jun 23, 2017 9:10 am

canove wrote:Same problem here. Mint 18.1 MATE

Any ideas?
In my case, rebooting and trying again was successful :)
There is nothing more dangerous than a bored cat.

GFunkKid
Level 1
Level 1
Posts: 1
Joined: Sun Jun 25, 2017 10:54 pm

Re: 18.1 Serena :- "Could not install the security updates" error

Post by GFunkKid » Sun Jun 25, 2017 11:15 pm

I had the same type of issue. I am not a Linux expert; I hope that someone better than me can explain my solution better than me.

FAILED ATTEMPT:
1. I noticed that there was a red X in the update manager shield at the bottom of the screen. When I right clicked on it and selected information, I saw that /dev/tty was having issue.
2. I remembered that I had, in the past, used TorGuard VPN. I removed OpenVPN. I deleted the /etc/Torguard directory. I loaded and removed the Torguard software. I rebooted. It did not help.
SUCCESSFUL ATTEMPT based on the first response within [ viewtopic.php?t=172212 ]:
3. From the terminal, I typed "sudo mintupdate". I tried to do the update again. in the terminal, I saw the error, "No such file or directory: '/var/log/apt/history.log'"
4. I looked, and saw that the folder /var/log/apt did not exist. As root, I created that folder. Within that folder, I created an empty history.log file. (Navigate to /var; open folder log as root; create folder apt; navigate to folder apt; create empty text file; rename empty text file "history.log")
5. Within the update manager, I retried "Install Updates". It worked.

LooNeyTKr
Level 1
Level 1
Posts: 2
Joined: Fri Nov 11, 2016 4:34 pm

Re: 18.1 Serena :- "Could not install the security updates" error

Post by LooNeyTKr » Sun Sep 24, 2017 8:54 pm

I'm having this same error on mint 18.2

User avatar
Boca
Level 4
Level 4
Posts: 475
Joined: Sun Feb 15, 2015 5:02 am

Re: 18.1 Serena :- "Could not install the security updates" error

Post by Boca » Tue Dec 19, 2017 10:40 am

Hi,

Summary of question... is there an easy way of getting a list of the pending updates recommended by Update manager which I can then use for a CLI update?

Background:-
I still have this <<18.1 Serena :- "Could not install the security updates" error>> issue and have been coping by manually installing each update using the terminal.

From this new thread, viewtopic.php?f=90&t=259770&sid=7647251 ... 4#p1402707, I realised that I have many level 3 security updates to apply. ( I have only been installing level1&2 and , at some point, the " always show security updates" has become deselected so I was unaware of how many were pending). I now have 20+ updates to install. I can cut/paste each programme name into the terminal but.... is there an easy way of getting a list of the pending updates recommended by Update manager which I can then use for a CLI update?

Rgds, Tony

PS has anyone experienced this issue on 18.2? is it worth upgrading to avoid this issue?

User avatar
Boca
Level 4
Level 4
Posts: 475
Joined: Sun Feb 15, 2015 5:02 am

Re: 18.1 Serena :- "Could not install the security updates" error

Post by Boca » Wed Dec 20, 2017 9:02 am

from my comments earlier in the thread..
I realised that I have many level 3 security updates to apply. ( I have only been installing level1&2 and , at some point, the " always show security updates" has become deselected so I was unaware of how many were pending). I now have 20+ updates to install.
I have now updated the majority of these by cut&paste into a terminal update. In case it is useful for others, the list of updates is I am now left with several level 3 security updates for which I cannot see an associated file to install..
Screenshot at 2017-12-20 12-49-47.png
.

Where do I find the associated files please?

Tony

User avatar
Boca
Level 4
Level 4
Posts: 475
Joined: Sun Feb 15, 2015 5:02 am

Re: 18.1 Serena :- "Could not install the security updates" error

Post by Boca » Sun Feb 04, 2018 3:57 pm

A full (re-)install of 18.3 has cured this problem.

Thanks to all for your help.

Tony

Post Reply

Return to “Newbie Questions”